# compress.level

Sets the zlib compression level used when compress is enabled.

This parameter applies to omhttp: HTTP Output Module.

Name:

  compress.level

Scope:

  input

Type:

  integer

Default:

  input=-1

Required?:

  no

Introduced:

  Not specified

## Description

Specify the zlib compression level if compress is enabled. Check the zlib manual for further documentation.

`-1` is the default value that strikes a balance between best speed and best compression. `0` disables compression. `1` results in the fastest compression. `9` results in the best compression.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        compress="on"
        compressLevel="9"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.